## IdeDiagnosticProvider IdeDiagnosticProvider |

## Functions

void | ide_diagnostic_provider_diagnose_async ()
IdeDiagnostics * | ide_diagnostic_provider_diagnose_finish ()

## Properties

IdeContext * | context | Write / Construct Only

## Types and Values

#define | IDE_TYPE_DIAGNOSTIC_PROVIDER
struct | IdeDiagnosticProviderInterface
| IdeDiagnosticProvider

## Object Hierarchy

        GInterface
        ╰── IdeDiagnosticProvider

## Prerequisites

IdeDiagnosticProvider requires IdeObject.

## Description

## Functions

### ide_diagnostic_provider_diagnose_async ()

    void
    ide_diagnostic_provider_diagnose_async
                                   (IdeDiagnosticProvider *self,
                                    IdeFile *file,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

### ide_diagnostic_provider_diagnose_finish ()

    IdeDiagnostics *
    ide_diagnostic_provider_diagnose_finish
                                   (IdeDiagnosticProvider *self,
                                    GAsyncResult *result,
                                    GError **error);

Completes an asynchronous call to `ide_diagnostic_provider_diagnose_async()`.

#### Returns

IdeDiagnostics or `NULL` and `error` is set.

[transfer full][nullable]

## Types and Values

### IDE_TYPE_DIAGNOSTIC_PROVIDER

    #define IDE_TYPE_DIAGNOSTIC_PROVIDER (ide_diagnostic_provider_get_type())

### struct IdeDiagnosticProviderInterface

    struct IdeDiagnosticProviderInterface {
      GTypeInterface parent_interface;

      void            (*set_context)     (IdeDiagnosticProvider  *self,
                                          IdeContext             *context);
      void            (*diagnose_async)  (IdeDiagnosticProvider  *self,
                                          IdeFile                *file,
                                          GCancellable           *cancellable,
                                          GAsyncReadyCallback     callback,
                                          gpointer                user_data);
      IdeDiagnostics *(*diagnose_finish) (IdeDiagnosticProvider  *self,
                                          GAsyncResult           *result,
                                          GError                **error);
    };

### IdeDiagnosticProvider

    typedef struct _IdeDiagnosticProvider IdeDiagnosticProvider;

## Property Details

### The `“context”` property

      “context”                  IdeContext *

Context.

Flags: Write / Construct Only